Bug 117464 - FIxes for overflows (potentially security issues)
Summary: FIxes for overflows (potentially security issues)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: newt (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-04 11:26 UTC by Alastair McKinstry
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-07 19:37:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix overflows (15.01 KB, patch)
2004-03-04 11:30 UTC, Alastair McKinstry
no flags Details | Diff

Description Alastair McKinstry 2004-03-04 11:26:54 UTC
Description of problem:

Fixes overflows. 

Version-Release number of selected component (if applicable):

RH9, Fedora

How reproducible:


Steps to Reproduce:
1.
2.
3.
  

Actual results:


Expected results:


Additional info:

Comment 1 Alastair McKinstry 2004-03-04 11:30:04 UTC
Created attachment 98277 [details]
Patch to fix overflows

- Cope with malloc failure in some places; use snprint
to avoid a segfault on malicious input (may be a security
weakness depending on where whiptail is used).

Comment 2 Eido Inoue 2004-04-07 19:37:37 UTC
The attached patch had several bugs (a patch to a .rej file, as well
as a typo were MAXFORMAT was indicated as MAXFOTMAT which prevented
compiling). Also, the patch included changed some of the interfaces
(void returns to int returns, changing of some int params to unsigned
params)

I've taken most of the patch in spirit, but I've made some alterations
based on the comments above


Note You need to log in before you can comment on or make changes to this bug.